Message: previous - next
Month: November 2011

Re: [trinity-devel] kdebindings 3.5.13: embedviewimp.h build errors

From: Darrell Anderson <humanreadable@...>
Date: Fri, 11 Nov 2011 20:49:45 -0800 (PST)
> Slackware 13.1
> Previously built kdebindings without this error. I don't
> know what is different this time around.
> Log:
> The log also says the following:
> Detected TQt3...
> ...
> checking if TQt is available... no
> configure: WARNING: You are attempting to compile Trinity
> without the Trinity Qt Interface installed.  Please
> install libtqtinterface-dev and try again!
> tqtinterface is installed.
> I don't know what this error messages keys on, but the
> phrase "Please install libtqtinterface-dev and try again!"
> seems Debian specific.
> Need help. :)

I don't know what's happening, but I discovered when I build and install tqtinterface to my normal $PREFIX of /opt/trinity that kdebindings will fail to build. When I build and install tqtinterface to /usr then kdebindings builds without the aforementioned failure.

Thus the "configure: WARNING" might be a valid error. Is there something in tqtinterface that requires installing to /usr or something in kdebindings that is hard-coded only to look for something tqt related in /usr?